/Users/bernard/b20/bsoft/tcltk/bshow_scales.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_scales.tcl - Procedures to manage scales for image display.

SYNOPSIS

  Functions
setupScales w
Configures scales for the image window.
reconfigureScales
Resets the scales when the image changes.
reconfigureMinMax
Resets the min and max scales when the range step size changes.
reconfigureRangeStep
Resets the range step size to the default value.
setScaleDialog
A dialog to type in a scale factor and new min and max values.
setScaleOK wd
Sets the scales given in the dialog.
setScale scale
Sets the scale for display.
setSlice slice_num
Loads the requested slice in the current file into a photo image for display.
setImage img_num
Loads the requested image in the current file into a photo image for display.
setMin smin
Sets the minimum display value.
setMax smax
Sets the maximum display value.
autoScale
Sets reasonable minimum and maximum display values.
invertContrast
Switches the minimum and maximum display values.
do_animate_slices
Pages through slices.

Detailed Description

Procedures to manage scales for image display.

Author:
    Bernard Heymann

Date:
    Created: 20010516

    Modified: 20130820

Definition in file bshow_scales.tcl.

Function Documentation

  autoScale

Sets reasonable minimum and maximum display values.

Definition at line 350 of file bshow_scales.tcl.

  do_animate_slices

Pages through slices.

Definition at line 411 of file bshow_scales.tcl.

  invertContrast

Switches the minimum and maximum display values.

Definition at line 398 of file bshow_scales.tcl.

  reconfigureMinMax

Resets the min and max scales when the range step size changes.

Definition at line 119 of file bshow_scales.tcl.

  reconfigureRangeStep

Resets the range step size to the default value.

Definition at line 139 of file bshow_scales.tcl.

  reconfigureScales

Resets the scales when the image changes.

Definition at line 91 of file bshow_scales.tcl.

  setImageimg_num

Loads the requested image in the current file into a photo image for display.

Parameters:
    img_num Current image number stored in the image scale

Definition at line 286 of file bshow_scales.tcl.

  setMaxsmax

Sets the maximum display value.

Parameters:
    smax New display maximum.

Definition at line 327 of file bshow_scales.tcl.

  setMinsmin

Sets the minimum display value.

Parameters:
    smin New display minimum.

Definition at line 303 of file bshow_scales.tcl.

  setScalescale

Sets the scale for display.

Parameters:
    scale Display scale stored in the scale scale

Definition at line 238 of file bshow_scales.tcl.

  setScaleDialog

A dialog to type in a scale factor and new min and max values.

Definition at line 157 of file bshow_scales.tcl.

  setScaleOKwd

Sets the scales given in the dialog.

Parameters:
    wd Dialog window.

Definition at line 218 of file bshow_scales.tcl.

  setSliceslice_num

Loads the requested slice in the current file into a photo image for display.

Parameters:
    slice_num Current slice number stored in the slice scale

Definition at line 266 of file bshow_scales.tcl.

  setupScalesw

Configures scales for the image window. These scales are used as stores for the slice and image numbers as well as the scaling of the image itself

Parameters:
    w Control window to put scales in.

Definition at line 20 of file bshow_scales.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.